=== debian/changelog ===
lomiri-system-settings-security-privacy (1.0.2-2) unstable; urgency=medium

  * debian/control:
    + Update LONG_DESCRIPTION fields. Lomiri is not a desktop environment, but
      an operating environment.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Mar 2024 21:39:38 +0100

lomiri-system-settings-security-privacy (1.0.2-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1065803).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Mar 2024 17:43:30 +0100
