=== debian/control ===
Source: lomiri-system-settings-security-privacy
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               gettext,
               libglib2.0-dev,
               libpolkit-agent-1-dev,
               liblomirisystemsettings-dev,
               liblomirisystemsettingsprivate-dev,
               libqt5sql5-sqlite <!nocheck>,
               libqtdbusmock1-dev <!nocheck>,
               libqtdbustest1-dev <!nocheck>,
               libsystemd-dev,
               lomiri-system-settings <!nocheck>,
               pkgconf,
               python3:any,
               qml-module-lomiri-components <!nocheck>,
               qml-module-lomiri-settings-fingerprint <!nocheck>,
               qml-module-qttest <!nocheck>,
               qml-module-qtquick2 <!nocheck>,
               qtbase5-dev,
               qtbase5-private-dev <!nocheck>,
               qtdeclarative5-dev,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-system-settings-security-privacy
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings-security-privacy.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-system-settings-security-privacy/

Package: lomiri-system-settings-security-privacy
Architecture: any
Multi-Arch: same
Depends: lomiri-system-settings,
         qml-module-lomiri-components,
         qml-module-lomiri-settings-fingerprint,
         ${shlibs:Depends},
         ${misc:Depends},
Description: Security and privacy settings plugin for Lomiri system settings
 Lomiri-system-settings is the System Settings application used in Lomiri
 operating environment. it's designed for phones, tablets and convergent
 devices.
 .
 This plugin provides the security and privacy settings plugin to
 lomiri-system-settings.
