=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-system-settings-security-privacy/tags .*/lomiri-system-settings-security-privacy-(\d\S+)\.tar\.gz
